# Google Fonts Files

This project mainly contains the binary font files served by Google Fonts ([fonts.google.com](https://fonts.google.com))

The top-level directories indicate the license of all files found within them.
Subdirectories are named according to the family name of the fonts within.

Each family subdirectory contains the `.ttf` font files served by Google Fonts, plus a `METADATA.pb` file with metadata for the family (such as information on the project designer(s), genre category, and license - [learn more](https://github.com/googlefonts/gf-docs/tree/master/METADATA)) and a `DESCRIPTION.en_us.html` with a description of the family in US English.

The `/catalog` subdirectory contains additional metadata, such as profile texts and portrait/avatar images of font designers, and this is open for contributions and corrections from anyone via Github.

The `/axisregistry` subdirectory contains metadata for the GF Axis Registry, containing information on variable font axes that can be found in the collection, including experimental axes.

## Bug Reports and Improvement Requests

If you find a problem with a font file or have a request for the future development of a font project, please [create a new issue in this project's issue tracker](https://github.com/google/fonts/issues).

## Contributor Code of Conduct

However you choose to contribute, please abide by our [code of conduct](CODE_OF_CONDUCT.md) to keep our community a healthy and welcoming place.

## Self Host Fonts Available From Google Fonts


Since all the fonts available here are licensed with permission to redistribute, subject to the license terms, you can self-host using a variety of third-party projects.

One popular service is [Fontsource](https://github.com/fontsource/fontsource), which offers bundled NPM packages.



## Download All Google Fonts

You can download all Google Fonts in a simple ZIP snapshot (over 600MB) from <https://github.com/google/fonts/archive/main.zip>

#### Sync With Git

You can also sync the collection with git so that you can update by only fetching what has changed. To learn how to use git, Github provides [illustrated guides](https://guides.github.com) and a [youtube channel](https://www.youtube.com/user/GitHubGuides), and an [interactive learning lab](https://lab.github.com).
Free, open-source git applications are available for [Windows](https://git-scm.com/download/gui/windows) and [Mac OS X](https://git-scm.com/download/gui/mac).

## License

It is important to always read the license for every font that you use.
Each font family directory contains the appropriate license file for the fonts in that directory.
The fonts files themselves also contain licensing and authorship metadata.

Most of the fonts in the collection use the SIL Open Font License, v1.1.
Some fonts use the Apache 2 license.
The Ubuntu fonts use the Ubuntu Font License v1.0.

The SIL Open Font License has an option for copyright holders to include a Reserved Font Name requirement, and this option is used with some of the fonts.
If you modify those fonts, please take care of this important detail.

## Source Files

Source files for each family are often available from the designer, or from [github.com/googlefonts](https://github.com/googlefonts)

These fonts are usually the result of collaborative projects, where you are invited to discuss issues with the designers and even contribute to their ongoing development.

When customizing or remixing fonts, please do contact the designers to understand what they might need in order to include your improvements.

Most of all: Enjoy the fonts!

– The Google Fonts team
